<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
$ret_id=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from retencion where ret_id='$ret_id'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
 
?>
<form action="" method="post" name="editar_retencion" id="editar_retencion">
    <div id="resultados_retencion"></div> 
	<div class="">
		<label>Nombre</label>
        <input type="hidden" class="form-control" id="ret_id" name="ret_id"  value="<?php echo $dato['ret_id']; ?>" required>
		<input type="text" class="form-control" id="ret_nombre" name="ret_nombre"  value="<?php echo $dato['ret_nombre']; ?>" required>
	</div> <!-- /.form-group -->
	<div class="">
		<label>Porcentaje</label>
		<input type="text" class="form-control" id="ret_porcentaje" name="ret_porcentaje" value="<?php echo $dato['ret_porcentaje']; ?>"  required>
	</div> <!-- /.form-group -->
	<div class="">
		<label>Tipo</label>
		<select class="form-control" id="ret_tipo" name="ret_tipo" required="">
            <option value="<?php echo $dato['ret_tipo']; ?>"><?php echo $dato['ret_tipo']; ?></option>
            <option value=""> - </option>
			<option value="Retención de Iva">Retención de Iva</option>
			<option value="Retención en la Fuente">Retención en la Fuente</option>
			<option value="Retención de Industria y Comercio">Retención de Industria y Comercio</option>
			<option value="Otro tipo de retención">Otro tipo de retención</option>
		</select>
	</div> <!-- /.form-group -->
	<div class="">
		<label>Descripción</label>
		<input type="text" class="form-control" id="ret_descripcion" name="ret_descripcion"  value="<?php echo $dato['ret_descripcion']; ?>" required>
	</div> <!-- /.form-group -->
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button type="submit" id="btn_retencion" name="btn_retencion"  class="btn btn-success">Modificar</button>
    </div>
</form>

<script>
$("#editar_retencion").submit(function( event ) {
  $('#btn_retencion').attr("disabled", true);
 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_configuraciones/editar_retencion.php",
      data: parametros,
      
        beforeSend: function(objeto){
         $('#resultados_retencion').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_retencion").html(datos);
      $('#btn_retencion').attr("disabled", false);
        $('#edit_retencion').modal('hide');
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
       loadretencion();
      }
  });
  event.preventDefault();
})
</script>